Skip to main content
PUT
/
api
/
users
/
{userId}
Update user.
curl --request PUT \
  --url https://{tenant}/api/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "email_address": "itachi@gmail.com",
  "first_name": "itachi",
  "last_name": "sasuke",
  "user_permissions": {
    "IsAdmin": "admin"
  }
}
'
{
  "Message": "User updated",
  "Meta": null,
  "Status": "OK"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

userId
string
required

USER ID of the user to update

Body

application/json
active
boolean
email_address
string
first_name
string
last_name
string
user_permissions
object

Response

Updated successfully.

ID
string
Message
string
Meta
any
Status
string